varying vec4 vertex;
varying vec3 normal;

void main()
{  

	gl_FrontColor = gl_Color;
	
	vertex = vec4(gl_ModelViewMatrix * gl_Vertex);
	normal = gl_NormalMatrix * gl_Normal;

	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
	gl_TexCoord[0] = gl_MultiTexCoord0;
}
